
QGIS Application - Bug report #13201

Snapping options are not working.

2015-08-10 10:36 AM - Mikhail Tchernychev

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:Yes Copied to github as #: 21262

Description

Hi, 

I was playing with QGIS manual and came across the following issue.

Here are steps to re-produce:

1. Create new polygon layer, add any polygon, save layer.

2. Create second polygon layer, start editing it and adding new feature.

3. Enable advanced snap to first layer vertexes. Select tolerance say 1 or 2 map units

4. As you can see, program snaps to vertexes and new polygon is being created.

5. Compete editing by right mouse click. You are prompted to enter polygon's

attributed. At the same time new polygon disappears from the screen, and apparently

blank feature is created.

I tried both development and released version under windows, and development version

under Linux. Both shows the same, but windows version may crash with mini-dump.

I hope it helps,

Best Regards

Mikhail

History

#1 - 2015-10-13 10:27 AM - Saber Razmjooei

- Status changed from Open to Feedback

- Category set to Digitising

I can't reproduce your problem. I can see, the newly added feature disappears from the canvas while filling the attribute table. But once you press OK it

appears on the map and your attribute table.

#2 - 2015-10-13 12:31 PM - Mikhail Tchernychev

Agree. Something has changed. It use to create blank feature, but now indeed polygon is there.

Thank you

Mikhail

#3 - 2015-12-20 10:08 AM - Giovanni Manghi
- Resolution set to invalid

- Status changed from Feedback to Closed
